Restore a volume backup

POST/v1/cloud_block_storage/backups/{backup_id}/restore

To restore a backup, send a POST request to the /v1/cloud_block_storage/backups/{backup_id}/restore endpoint. Add an ID of a necessary backup in the path and choose a volume in the query parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
backup_id
string

A unique identifier of a backup.

Request Body

FieldDetails
volume_id
string

A unique identifier of a volume.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/cloud_block_storage/backups/X7ax9byv/restore" \  -H "Content-Type: application/json" \  -d '{    "volume_id": "w9aAOdvM"  }'
{  "id": "X7ax9byv",  "openstack_uuid": "8ef44d0b-3ff1-4f59-b753-62b5a02674a0",  "openstack_volume_uuid": "62502539-0818-4632-a761-6d3935ec1fdd",  "region_id": 0,  "region_code": "NL01",  "name": "back1",  "size": 1,  "status": "restoring",  "labels": {},  "created_at": "2025-12-31T00:00:00Z"}